#pragma once


// FogControl dialog

class FogControl : public CDialog
{
	DECLARE_DYNAMIC(FogControl)

public:
	FogControl(CWnd* pParent = NULL);   // standard constructor
	virtual ~FogControl();

// Dialog Data
	enum { IDD = IDD_FOG_CONTROL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
 	virtual BOOL OnInitDialog(); 

	DECLARE_MESSAGE_MAP()
public:
  BOOL m_EnableFog;
  SliderCtrlWithEcho  m_FogNear;
  SliderCtrlWithEcho  m_FogFar;
  SliderCtrlWithEcho  m_FogDensity;

  afx_msg void OnBnClickedFogColor();
  afx_msg void OnBnClickedFogLinear();
  afx_msg void OnBnClickedFogExp1();
  afx_msg void OnBnClickedFogExp2();
  afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
  afx_msg void OnBnClickedEnableFog();
};
