#pragma once

#include "uwbgl_D3DMeshPrimitive.h"

namespace UWBGL_D3D
{
  class InteractiveMeshPrimitive : public MeshPrimitive
  {
  protected:
			    // Override from DrawablePrimitive
		    virtual void DrawPrimitiveGeometry();

  public:
        InteractiveMeshPrimitive() : MeshPrimitive(-1) {}
        InteractiveMeshPrimitive(int i) : MeshPrimitive(i) {}

              // we can't do much about the mesh's location
              // if you want to move mesh, put this under a SceneNode
              // and move the SceneNode
        virtual void MovePrimitiveTo(const D3DXVECTOR3 &d) {};

            // override from PrimitiveBase
		    virtual void GetColliderList(ColliderList&);

  };
};
