// UW Bothell Graphics Library Copyright (c) 2004 University of Washington Bothell
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
/////////////////////////////////////////////////////////////////////////////////////////
#pragma once

// Measures one dimension movement and translates into a scale.
// Linearly mapping:
//    minInput <--> maxInput
//    to 
//    minScale <--> maxScale
class Valuator
{
public:
  Valuator();
  void InitializeValuator(float minInput, float maxInput, float minScale, float maxScale);
  float GetScaleValue(float v) const;
    
private:
  float m_Min;
  float m_Max;
  float m_MinValue;
  float m_Scale;
};
