// UW Bothell Graphics Library Copyright (c) 2004 University of Washington Bothell
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
/////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "uwbgl_Defines.h"

/// window that echo messages will be displayed on
extern HWND g_hMessageWindow;

/// display a message on the "echo" window
/// \param message String to display on echo window
void EchoToStatusArea(const char* message);

/// Helper function for getting a random number
/// \param range Returned number will be between 0 and range
/// \return a random number in the 0<->range range.
float RandomNumber(float range);

/// Helper function for getting a random number
/// \return a random number between minRange and maxRange
float RandomNumber(float minRange, float maxRange);

/// Helper function for getting a random number
/// \return three random numbers in the c-float array
void RandomTriple(float minRange, float maxRange, float c[3]);
